package com.stdproject.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 系统操作日志
 *
 * @author StdProject
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("app_optlog")
public class AppOptLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 用户账号
     */
    private String usercode;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 操作类型 00-登录 01-新增 02-修改 03-删除 06-查询 09其他
     */
    private String opttype;

    /**
     * 模块名称
     */
    private String module;

    /**
     * 日志描述
     */
    private String description;

    /**
     * 操作方法
     */
    private String method;

    /**
     * 方法参数
     */
    private String params;

    /**
     * 创建时间
     */
    private LocalDateTime logtime;

    /**
     * 请求IP
     */
    private String requestip;

    /**
     * 浏览器类型
     */
    private String browser;

}